post
https://api.instantpay.in/fi/remit/out/domestic/v2/remitterRegistrationVerify
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Headers Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code - 1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client ID | M | Y |
| X-Ipay-Client-Secret | String | Unique secret key | M | Y |
| X-Ipay-Outlet-Id | String | Merchant unique ID | M | Y |
| X-Ipay-Endpoint-Ip | String | End Customer IP Address | M | N |
Request Parameters
| Parameters | Type | Description |
|---|---|---|
| mobileNumber | String | Remitter Mobile Number |
| otp | String | OTP received on Mobile Number |
| referenceKey | String | referenceKey received in Remitter Profile response |
Sample Request
POST /fi/remit/out/domestic/v2/remitterRegistrationVerify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"mobileNumber":"91XXXXXXXXX",
"otp" : XXXXXX,
"referenceKey": "null"
}curl --location 'https://api.instantpay.in/fi/remit/out/domestic/v2/remitterRegistrationVerify' \
--header 'X-Ipay-Hash-Check: OFF' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'User-Agent: {USERAGENT}' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"mobileNumber":"91XXXXXXXX",
"otp" : XXXXXX,
"referenceKey": "null"
}'Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Array | Response Data (If Present) |
| timestamp | String | Current time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"referenceID": "5a446e70514f41575a74654a6e49474d634f7057702b747a686c65562f637a54765872666b487437757071306a34364542.v2.ufheuw98484fhhf82enf54a6e49474d634f"
},
"timestamp": "2024-05-31 11:05:03",
"ipay_uuid": "h0009c2c2266-9e58-461d-bb88-25a36363d0f3-s27798VjPK8V",
"orderid": null,
"environment": "LIVE"
}
